Skip to navigation

Update the recommended order of a partner entry

View as Markdown

Move an entry to a row of the recommended sort list. recommendedOrder is the zero-based target row, counting from the top of the list (placed entries by position, then entries without one). The entry takes that row and the entries below it move down by one; an entry dropped below the placed entries also gives a position to the unplaced entries above it.

Authentication

AuthorizationToken

Your API key, sent as Authorization: Token <your API key>

Path parameters

directoryIdstringRequiredformat: "uuid"
id of the directory
entryIdstringRequiredformat: "uuid"
id of the entry

Response

Successful operation
hrefstringRead-only
idstringformat: "uuid"
createddatetime
modifieddatetime
headlinestring or null<=250 characters
titlestring<=256 characters
typestring<=100 characters
slugstringformat: "^[-a-zA-Z0-9_]+$"<=60 characters
featuredboolean
statusstring<=256 characters
tierstring or nullformat: "uuid"
recommendedOrderinteger or nullOptional
imagestring or nullOptional
pendingReviewboolean or nullOptional

Errors

400
Bad Request Error
403
Forbidden Error